<template>
  <div id="app">
    <MainMenu
      v-bind:menus="menus"
    />
    <router-view v-bind:products="products"/>
    <Footer />
  </div>
</template>

<script>
import MainMenu from './components/MainMenu'
import Footer from './components/Footer'
export default {
  name: 'App',
  components: {
    MainMenu,
    Footer
  },
  data(){
    return {
      menus: [
        {stt: 0, title: 'Home', src: '/'},
        {stt: 1, title: 'About', src: '/about'},
        {stt: 2, title: 'Categorys', src: '/categorys'},
        {stt: 3, title: 'News', src: '/news'},
        {stt: 4, title: 'Contact', src: '/contact'}
      ],
      products:[
        {id: 100, name: 'Giày Nike K45', price: 450, sale: 0.2},
        {id: 101, name: 'Giày Nike K44', price: 420, sale: 0.1},
        {id: 102, name: 'Giày Nike K43', price: 350, sale: 0.05},
        {id: 103, name: 'Giày Nike K42', price: 150, sale: 0.75},
        {id: 104, name: 'Giày Nike K41', price: 200, sale: 0.95},
        {id: 105, name: 'Giày Nike J45323', price: 550, sale: 0.5},
        {id: 106, name: 'Giày Nike M11', price: 50, sale: 0.5},
        {id: 107, name: 'Giày Nike F1', price: 1000, sale: 0.5},
      ]
    }
  }
}
</script>

<style src="@/assets/css/style.css">

</style>
